Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.spi.common.ui.composites
Class AbstractFilteredSelectionComposite<T extends org.eclipse.jface.viewers.StructuredViewer>

    java.lang.Object
      org.eclipse.emf.ecp.spi.common.ui.composites.AbstractFilteredSelectionComposite<T>

Type Parameters:
  `T` - the type of the Viewer. This must extend a `StructuredViewer`

All Implemented Interfaces:
  CompositeProvider

Direct Known Subclasses:
  AbstractEClassTreeSelectionComposite, SelectModelElementCompositeImpl

    public abstract class AbstractFilteredSelectionComposite<T extends org.eclipse.jface.viewers.StructuredViewer>

extends Object
implements CompositeProvider

This `CompositeProvider` provides Composite containing a `Text` widget and a viewer. The contents of the viewer can be filtered by typing a text into the Text widget.

Author:
  Eugen Neufeld

Constructor Summary
`AbstractFilteredSelectionComposite()` Default Constructor.

Method Summary
`org.eclipse.swt.widgets.Composite` | `createUI(org.eclipse.swt.widgets.Composite parent)` This method creates a UI bundled into a `Composite` that can be used anywhere.
`Object[]` | `getSelection()` Returns the selected objects.
`T` | `getViewer()` Returns the used `StructuredViewer`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecp.spi.common.ui.CompositeProvider
`dispose`

Constructor Detail

### AbstractFilteredSelectionComposite

    public AbstractFilteredSelectionComposite()

  Default Constructor.

Method Detail

### createUI

    public org.eclipse.swt.widgets.Composite createUI(org.eclipse.swt.widgets.Composite parent)

  This method creates a UI bundled into a `Composite` that can be used anywhere.

  Specified by:
    `createUI` in interface `CompositeProvider`
  Parameters:
    `parent` - the parent `Composite`
  Returns:
    the created `Composite`

### getViewer

    public T getViewer()

  Returns the used `StructuredViewer`.

  Returns:
    the viewer

### getSelection

    public Object[] getSelection()

  Returns the selected objects.

  Returns:
    the selection

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.